Subject: Re: [bug#43292] [PATCH] gnu: emacs-org-contrib: Fix hash for version 20200907.

From: zimoun <[email-masked]>
Date: Wed, 9 Sep 2020 14:03:02 +0200

On Wed, 9 Sep 2020 at 13:49, Tobias Geerinckx-Rice <[email-masked]> wrote:

> On 2020-09-09 13:35, zimoun wrote:
> > * gnu/packages/emacs-xyz.scm (emacs-org-contrib): Fix hash.
>
> Thanks!  It's probably irrational, but in-place updates always tingle my
> paranoia.  What did they change?  Why?

I do not understand either.
Maybe Nicolas could tell us more about this in-place update?
(I mean they seems involved in the Org-mode development)

> I think it's good not to normalize them by at least briefly describing
> the upstream changes in the commit message.  ‘Fix’ is borderline
> misleading IMO.

You mean something like that:

--8<---------------cut here---------------start------------->8---
 gnu: emacs-org-contrib: Update source hash.

 The previous tarball was modified in-place; see
????????

 * gnu/packages/emacs-xyz.scm (emacs-org-contrib)[source](sha256): Update.
--8<---------------cut here---------------end--------------->8---

(tweaked from harfbuzz replacement a8bb8fccd8)

> If you don't have the time or access to the original, let me know.

I have the time but not necessary the skills to access to the original.

> Sent from a Web browser. Excuse or enjoy my brevity.

I am doing both. :-)